package com.seer.teach.iot.convert;

import com.seer.teach.iot.common.resp.GuideResp;
import com.seer.teach.iot.module.entity.GuideEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-08-05 10:51
 */
@Mapper
public interface GuideConvert {

    GuideConvert INSTANCE = Mappers.getMapper(GuideConvert.class);

    GuideResp toGuideResp(GuideEntity guideEntity);

    List<GuideResp> toGuideRespList(List<GuideEntity> list);
}